# Get-RASPubItemIcon.md

## NAME

Get-RASPubItemIcon

## SYNOPSIS

Get the published resource icon.

## SYNTAX

**Get-RASPubItemIcon** \[[Id](#id-string)] *(uint)* \[\[-[DirPath](#dirpath-string)] *(string)*] \[-[Format](#Format) {ICO | PNG}] \[-[IconSize](#IconSize) {Normal | HighDefinition}] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Save the published resource icon to a specified directory.

Get-RASPubItemIcon command returns the full path (with filename) of the saved published resource icon.

If HD icon data is available, the icon is saved with 2 resolutions (standard and HD). Otherwise, only the standard resolution is saved.

## PARAMETERS

## Id (uint)

Published resource ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DirPath (string)

The target directory where to save the published resource icon file.

```
        Required?                    false

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Format ([IconFormat](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/iconformat.md))

The file format of the requested icon.

Possible values: ICO, PNG

```
        Required?                    false

        Position?                    named

        Default value                ICO

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IconSize ([IconSizes](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/iconsizes.md))

The requested icon size.

ICO format can support both sizes at same time.

PNG format supports either Normal or High definition.

Possible values: Normal, HighDefinition

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASFiles](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasfiles.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubItemIcon -Id 11 -DirPath "C:\MyIcons\\"

Saves the icon of a published resource specified by ID.

Directory path specified in -DirPath must exist.

## RELATED LINKS

* [Get-RASPubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitem.md)
* [Set-RASPubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitem.md)
* [Remove-RASPubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubitem.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitemicon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
